<link rel="import" href="/extern/bower_components/polymer/polymer.html">
<link rel="import" href="/ts/common-elements/reset-css/reset-css.html">
<link rel="import" href="/ts/common-elements/iron-flex-layout-attributes/iron-flex-layout-attributes.html">

<link rel="import" href="/ts/common-elements/ts-ajax/ts-ajax.html">
<link rel="import" href="/ts/common-elements/auto-update/auto-update.html">
<link rel="import" href="/extern/bower_components/vaadin-grid/vaadin-grid.html">

<dom-module id="ts-flashlist">
  <template>
    <style include="reset-css"></style>
    <style include="iron-flex-layout-attributes"></style>

    <link rel="stylesheet" type="text/css" href="css/ts-flashlist-min.css?__inline=true">

    <auto-update data="{{table}}"
             callback="getTable"
             auto></auto-update>
    <ts-ajax data="{{subtable}}"
             callback="getSubTable"
             parameters='["row", "column"]'
             row="{{row}}"
             column="{{column}}"
             id="ajax_subtable"></ts-ajax>

    <vaadin-grid items="{{realtable.items}}"
                 columns="{{parseColumns(realtable.columns)}}"></vaadin-grid>

    <template is="dom-if" if="[[subtable]]" restamp="true">
      <p>Details for row [[row]], column [[column]]</p>
      <vaadin-grid items="{{subtable.items}}"
                   columns="{{subtable.columns}}"></vaadin-grid>
    </template>

  </template>
  <script src="javascript/ts-flashlist-min.js?__inline=true"></script>
</dom-module>
